Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1368 (closed defect: fixed)

Opened 12 years ago

Last modified 12 years ago

random master mode freeze at high traffic

Reported by: reviczky@freemail.hu Assigned to: dyqith
Priority: major Milestone: version 0.9.5
Component: madwifi: other Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description

Since the upgrade from debian sarge to debian etch i got random freeze, presumably caused by madwifi. The kernel cahnged from 2.6.8 (old) to 2.6.18 (new). With the old kernel and madwifi 0.9.2+r1842.20061207 i had no problems, but that version can't be booted with the new environment. I've tried the madwifi 0.9.2+r1842.20061207-2, 0.9.3.1 and svn to work with the 2.6.18 kernel, but got the freeze with all versions. With freeze i mean the established wireless connections disconnects, no keyboard or mouse input works, i must hard reset the computer for reboot. The freeze are randomly, sometimes after minutes from the reboot, sometimes hours or days, but had no uptime above 5 days with the new environment. The freeze are more often at high traffic but not only. But with high traffic (at booth incomming or outgoing) i can reproduce the freeze.

Here are the datas:
System: Debian Etch (up-to-date)
Kernel: 2.6.18
Madwifi: 0.9.3.1 (that is now running)
Madwifi mode: master (AP)
Hardware: D-Link DWL-G520
Symptoms: random freeze/hangs

/etc/network/interfaces:

auto ath0
iface ath0 inet static
    address 11.0.0.1
    netmask 255.255.255.0
    wireless-mode master
    wireless-essid myid
    wireless-rate 54M auto
    wireless-channel 11 auto
    wireless-keymode open
    wireless-key1 s:password
    wireless-defaultkey 1

lspci:

02:01.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01)
        Subsystem: D-Link System Inc D-Link AirPlus DWL-G520 Wireless PCI Adapter(rev.B)
        Flags: bus master, medium devsel, latency 168, IRQ 9
        Memory at ef000000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2

ifconfig:

ath0      Link encap:Ethernet  HWaddr 00:17:9A:D1:EF:06
          inet addr:11.0.0.1  Bcast:11.0.0.255  Mask:255.255.255.0
          inet6 addr: fe80::217:9aff:fed1:ef06/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:288837 errors:0 dropped:0 overruns:0 frame:0
          TX packets:312724 errors:0 dropped:1831 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:53682779 (51.1 MiB)  TX bytes:297256368 (283.4 MiB)

wifi0     Link encap:UNSPEC  HWaddr 00-17-9A-D1-EF-06-30-3A-00-00-00-00-00-00-00-00
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:293377 errors:0 dropped:0 overruns:0 frame:8917
          TX packets:311503 errors:1161 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:199
          RX bytes:63129519 (60.2 MiB)  TX bytes:305035163 (290.9 MiB)
          Interrupt:9

/var/log/messages:

Jun 11 03:33:45 localhost kernel: 55 cb 81 f6 39 a8 26 01  cb d9 2e 2d d1 1a 8e 0e
Jun 11 03:33:45 localhost kernel: 5c
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 1 [tsf 29066076197 tsftu 28384840 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_tx_start: skb0 d30fa880 [data dc26483c len 869] skbaddr 1c26483c
Jun 11 03:33:45 localhost kernel: FRDS 00:17:9a:d1:ef:06->00:17:9a:c8:1f:f7(00:17:9a:d1:ef:06) data WEP [IV 93 7e 49 KID 0] 11M
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: 08 42 74 00 00 17 9a c8  1f f7 00 17 9a d1 ef 06
Jun 11 03:33:45 localhost kernel: 00 17 9a d1 ef 06 50 2c  93 7e 49 00 aa aa 03 00
Jun 11 03:33:45 localhost kernel: 00 00 08 00 45 00 03 41  00 00 40 00 40 11 20 b3
Jun 11 03:33:45 localhost kernel: 0b 00 00 01 0b 00 00 f9  04 aa 04 aa 03 2d 97 aa
Jun 11 03:33:45 localhost kernel: 32 df 6c 14 de 3a 20 89  24 c0 04 52 70 8c ae 48
Jun 11 03:33:45 localhost kernel: 48 bf 82 8f ac db 57 b7  a6 4e 87 3d b9 20 81 e0
Jun 11 03:33:45 localhost kernel: 50 a0 5a f2 ef d6 69 15  98 9b 89 bc 0b 80 2e b3
Jun 11 03:33:45 localhost kernel: 2e 5e ff 9a ba 70 7c 2c  3e 32 da 3a 64 da f5 c6
Jun 11 03:33:45 localhost kernel: 93 87 21 3a 3a 1d 3c 1e  a6 fd 7f d5 ec 9a 1e cc
Jun 11 03:33:45 localhost kernel: 91 22 0f af bd d5 56 ec  19 ec 19 85 83 30 d9 b9
Jun 11 03:33:45 localhost kernel: 77 5e 2c e6 20 ab 75 9e  65 91 30 3c ec bb d5 ab
Jun 11 03:33:45 localhost kernel: fb 8f 65 d7 d3 55 9f 92  1a a5 7b ca 21 35 79 0d
Jun 11 03:33:45 localhost kernel: 6a da f6 7f b7 45 07 57  4c 47 76 7a f4 4f 4d cc
Jun 11 03:33:45 localhost kernel: 94 1f 93 4e 2f 03 ac c0  34 a0 09 d6 2f 67 2f c3
Jun 11 03:33:45 localhost kernel: d1 97 a0 02 94 a7 7a c4  f8 b8 c2 cd b4 e4 d0 11
Jun 11 03:33:45 localhost kernel: 47 0b 34 85 c1 d2 a4 86  b5 7c aa 8e 24 3d 18 d4
Jun 11 03:33:45 localhost kernel: b0 93 62 a8 c3 d7 9b f3  6d 1f c2 74 6c ba b1 a1
Jun 11 03:33:45 localhost kernel: 6c 67 ba e0 fc 6e 40 be  ce 26 bb fc 23 2f 14 44
Jun 11 03:33:45 localhost kernel: f2 fd 59 07 5c 39 5e e9  81 25 ae 78 62 4a b7 f1
Jun 11 03:33:45 localhost kernel: f3 bf 37 38 11 eb a3 84  fe a8 1b 51 01 b3 93 fc
Jun 11 03:33:45 localhost kernel: c7 49 db 5e 58 99 3d d7  4d 1d 95 df aa 9a 98 42
Jun 11 03:33:45 localhost kernel: 5a 24 e8 80 92 c1 55 3c  73 e4 f7 ac e8 14 a0 cb
Jun 11 03:33:45 localhost kernel: c4 65 b8 3b c1 bd db 64  77 08 3a 0d 72 61 a5 a3
Jun 11 03:33:45 localhost kernel: 7d ba a0 9c 29 c1 b0 e0  71 c3 ed 15 91 f4 87 1c
Jun 11 03:33:45 localhost kernel: 03 f6 4c 79 e5 9f 9f 93  11 a9 dc d3 f9 f1 78 b3
Jun 11 03:33:45 localhost kernel: 6f f9 9d 96 82 bf 76 a1  70 e0 a2 80 9f 8b 56 fb
Jun 11 03:33:45 localhost kernel: e2 1f 45 0d e9 83 43 06  13 b5 15 67 49 7d 92 03
Jun 11 03:33:45 localhost kernel: 8b f8 b7 49 6a ce a6 f0  dd 4b 9c c3 88 40 60 c6
Jun 11 03:33:45 localhost kernel: 81 79 4f 9e 52 66 28 df  76 eb f4 7b b1 cb 7b b5
Jun 11 03:33:45 localhost kernel: 3d f2 3b ac f8 4e 95 fc  5c e8 51 1e e9 5a d6 e2
Jun 11 03:33:45 localhost kernel: 03 d4 7a 0a 18 4b 85 8c  9e 9c 8b 18 9a 38 1c 58
Jun 11 03:33:45 localhost kernel: 76 8b c2 d4 c5 3e f8 49  97 c8 1c 5a af 6b a0 59
Jun 11 03:33:45 localhost kernel: 82 29 ad 9c b9 88 fe b3  45 81 8b fb d2 b0 58 26
Jun 11 03:33:45 localhost kernel: f0 8b b2 51 37 55 e1 7d  a3 5e e0 90 0f ca 7e 75
Jun 11 03:33:45 localhost kernel: 8a c9 d5 ea bd 05 ef ea  7a 5a a4 6b dd 93 39 7e
Jun 11 03:33:45 localhost kernel: 00 67 ed 77 2c ab 9c cb  d3 33 63 84 82 59 0c 73
Jun 11 03:33:45 localhost kernel: d5 c6 82 af 0b 68 ec b3  b6 da 21 34 52 8d dd b0
Jun 11 03:33:45 localhost kernel: 56 7e f8 38 0a 00 95 32  38 b0 21 00 d3 2c 5c 9a
Jun 11 03:33:45 localhost kernel: 54 21 73 18 77 00 e5 7d  28 d0 e7 fc c2 c9 95 41
Jun 11 03:33:45 localhost kernel: c7 ce 06 f2 8c 70 c6 05  46 ed 26 24 2e 20 c6 33
Jun 11 03:33:45 localhost kernel: 47 c5 55 40 9a ed 19 b2  7f fe fe 18 d2 18 86 87
Jun 11 03:33:45 localhost kernel: 48 bb b5 10 38 5a d4 68  7f 4c ef 87 90 43 f5 e7
Jun 11 03:33:45 localhost kernel: da 17 44 0e 19 c3 ae d7  b1 f8 da 06 bc da cd 19
Jun 11 03:33:45 localhost kernel: 43 e8 6c e0 f0 74 14 e2  99 5d 10 0c cf 5a ac 14
Jun 11 03:33:45 localhost kernel: e9 4f 25 0d f3 83 6f 0f  fb 25 5c f7 b5 13 b8 7a
Jun 11 03:33:45 localhost kernel: 9c d1 dd db 55 cc 8c 44  87 24 33 3d 79 8f 22 79
Jun 11 03:33:45 localhost kernel: 88 3c 8e 4e 62 83 ea 11  7a c6 27 ca 35 7e 9c 4a
Jun 11 03:33:45 localhost kernel: 1c 9a ff fc 64 ea 05 ea  4b 09 4d 6c 06 be b4 4b
Jun 11 03:33:45 localhost kernel: 16 04 de 46 4a 76 a1 12  c4 8b ec 00 b8 0c ec ba
Jun 11 03:33:45 localhost kernel: a0 be db 37 6d 1d e7 c1  27 96 59 86 39 c6 e5 58
Jun 11 03:33:45 localhost kernel: 8c 47 07 49 c9 89 84 4a  49 92 0f ac b9 c5 8f 08
Jun 11 03:33:45 localhost kernel: 04 80 c1 11 ba e3 ff da  7c 6f c4 e4 d2 d5 97 b3
Jun 11 03:33:45 localhost kernel: ea 1d 89 68 83 0e 35 4d  81 22 29 6e 8c e4 e3 92
Jun 11 03:33:45 localhost kernel: 0b f5 b5 62 cf 56 aa 4a  97 43 37 09 17 fd 72 9e
Jun 11 03:33:45 localhost kernel: 9f d5 0b 57 9c
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: ath_tx_start: Q1: (ds)df1c3840 (lk)00000000 (d)1c26483c (c0)4124036d (c1)06000365 03328000
00006f9c
Jun 11 03:33:45 localhost kernel: ath_tx_txqaddbuf: txq depth = 2
Jun 11 03:33:45 localhost kernel: ath_tx_txqaddbuf: link[1] (df1c0ba0)=1f1c3840 (df1c3840)
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x1040
Jun 11 03:33:45 localhost kernel: ath_tx_processq: tx queue 1 (0x1f1c3840), link df1c3840
Jun 11 03:33:45 localhost kernel: ath_tx_processq: frame's last desc: df1c0ba0
Jun 11 03:33:45 localhost kernel: T (df1c0ba0 1f1c0ba0) 1f1c3840 01e0e83c 412405bd 060005b5 03328000 00006f9c 1e430001 0001a635 *
Jun 11 03:33:45 localhost kernel: ath_tx_processq: updating frame's sequence number from 708 to 794
Jun 11 03:33:45 localhost kernel: ath_tx_processq: free skb df76c680
Jun 11 03:33:45 localhost kernel: ath_tx_processq: frame's last desc: df1c3840
Jun 11 03:33:45 localhost kernel: T (df1c3840 1f1c3840) 00000000 1c26483c 4124036d 06000365 03328000 00006f9c 00000000 00000000
Jun 11 03:33:45 localhost kernel: ath_tx_start: skb0 df76c680 [data c8e81c3c len 173] skbaddr 8e81c3c
Jun 11 03:33:45 localhost kernel: FRDS 00:17:9a:d1:ef:06->00:17:9a:c8:1f:f7(00:17:9a:d1:ef:06) data WEP [IV 93 7e 4a KID 0] 11M
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: 08 42 74 00 00 17 9a c8  1f f7 00 17 9a d1 ef 06
Jun 11 03:33:45 localhost kernel: 00 17 9a d1 ef 06 60 2c  93 7e 4a 00 aa aa 03 00
Jun 11 03:33:45 localhost kernel: 00 00 08 00 45 00 00 89  00 00 40 00 40 11 23 6b
Jun 11 03:33:45 localhost kernel: 0b 00 00 01 0b 00 00 f9  04 aa 04 aa 00 75 44 2f
Jun 11 03:33:45 localhost kernel: 32 a2 58 b0 45 b4 da 1a  c7 ae 58 c3 f3 68 8d 37
Jun 11 03:33:45 localhost kernel: e4 1f 6e dd d9 86 1c c6  8d 29 df db 3d ff b8 11
Jun 11 03:33:45 localhost kernel: 77 2c 32 47 c5 36 6b 18  bf 11 6c 17 68 7e 2c 72
Jun 11 03:33:45 localhost kernel: 69 98 95 3c 76 c0 91 bc  90 29 3b 5b ca c2 66 86
Jun 11 03:33:45 localhost kernel: 9f 26 2d be 22 14 8c e3  7c 5c 1e de 30 82 84 ba
Jun 11 03:33:45 localhost kernel: 68 9d 64 fe b2 44 e4 f0  0f e7 fe 43 73 d0 a6 8f
Jun 11 03:33:45 localhost kernel: a2 a7 b7 ea 90 b2 e0 48  a6 0d 53 a9 e5
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: ath_tx_start: Q1: (ds)df1c3660 (lk)00000000 (d)08e81c3c (c0)412400b5 (c1)060000ad 03328000
00006f9c
Jun 11 03:33:45 localhost kernel: ath_tx_txqaddbuf: txq depth = 2
Jun 11 03:33:45 localhost kernel: ath_tx_txqaddbuf: link[1] (df1c3840)=1f1c3660 (df1c3660)
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x1040
Jun 11 03:33:45 localhost kernel: ath_tx_processq: tx queue 1 (0x1f1c3660), link df1c3660
Jun 11 03:33:45 localhost kernel: ath_tx_processq: frame's last desc: df1c3840
Jun 11 03:33:45 localhost kernel: T (df1c3840 1f1c3840) 1f1c3660 1c26483c 4124036d 06000365 03328000 00006f9c 1e4f0001 0001a637 *
Jun 11 03:33:45 localhost kernel: ath_tx_processq: updating frame's sequence number from 709 to 795
Jun 11 03:33:45 localhost kernel: ath_tx_processq: free skb d30fa880
Jun 11 03:33:45 localhost kernel: ath_tx_processq: frame's last desc: df1c3660
Jun 11 03:33:45 localhost kernel: T (df1c3660 1f1c3660) 00000000 08e81c3c 412400b5 060000ad 03328000 00006f9c 00000000 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x9009
Jun 11 03:33:45 localhost kernel: ath_rx_tasklet
Jun 11 03:33:45 localhost kernel: R (dfecb6c0 1fecb6c0) 1fecb6f0 099f3020 00000000 00000c40 10de00b5 bfac0003 *
Jun 11 03:33:45 localhost kernel: TODS 00:17:9a:c8:1f:f7->00:17:9a:d1:ef:06(00:17:9a:d1:ef:06) data WEP [IV b6 af 6d KID 0] 11M +13
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: 08 41 74 00 00 17 9a d1  ef 06 00 17 9a c8 1f f7
Jun 11 03:33:45 localhost kernel: 00 17 9a d1 ef 06 00 2e  b6 af 6d 00 aa aa 03 00
Jun 11 03:33:45 localhost kernel: 00 00 08 00 45 00 00 89  00 00 40 00 40 11 23 6b
Jun 11 03:33:45 localhost kernel: 0b 00 00 f9 0b 00 00 01  04 aa 04 aa 00 75 9d 60
Jun 11 03:33:45 localhost kernel: 32 bb be 41 c1 84 c6 16  88 55 23 ab 4b fa 2b 1a
Jun 11 03:33:45 localhost kernel: 22 35 29 9a 9b c0 04 77  86 44 53 e1 2a 65 18 fd
Jun 11 03:33:45 localhost kernel: d3 df 46 8e d5 b0 87 a0  9f e5 81 45 16 27 24 10
Jun 11 03:33:45 localhost kernel: 19 c6 1a 74 a3 3b 8f 12  0d 67 4a 07 c9 bb d2 a2
Jun 11 03:33:45 localhost kernel: e5 19 4c 0c 7e 78 bb ee  28 3c 75 aa 6e 9a 2e 06
Jun 11 03:33:45 localhost kernel: b3 22 6b e5 04 14 c0 f2  b9 9e 8e dc b1 6a 22 17
Jun 11 03:33:45 localhost kernel: b3 e6 ac 54 cf 5c 85 8c  31 96 34 c6 ad 60 30 2f
Jun 11 03:33:45 localhost kernel: 1a
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 2 [tsf 29066101807 tsftu 28384865 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_tx_start: skb0 ca953c80 [data c9baf83c len 189] skbaddr 9baf83c
Jun 11 03:33:45 localhost kernel: FRDS 00:17:9a:d1:ef:06->00:17:9a:c8:1f:f7(00:17:9a:d1:ef:06) data WEP [IV 93 7e 4b KID 0] 11M
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: 08 42 74 00 00 17 9a c8  1f f7 00 17 9a d1 ef 06
Jun 11 03:33:45 localhost kernel: 00 17 9a d1 ef 06 70 2c  93 7e 4b 00 aa aa 03 00
Jun 11 03:33:45 localhost kernel: 00 00 08 00 45 00 00 99  00 00 40 00 40 11 23 5b
Jun 11 03:33:45 localhost kernel: 0b 00 00 01 0b 00 00 f9  04 aa 04 aa 00 85 0a d4
Jun 11 03:33:45 localhost kernel: 32 5d d2 cd 64 31 11 b3  9f b0 66 eb 35 ce 13 dc
Jun 11 03:33:45 localhost kernel: 39 10 e2 41 df ab 91 80  1c ea 69 25 bc 43 03 ea
Jun 11 03:33:45 localhost kernel: 19 35 d8 d9 74 ed a2 10  12 1d 60 f8 b3 78 3b ef
Jun 11 03:33:45 localhost kernel: 74 d8 ba fc e9 d5 4c 67  ba 6f 36 9d 79 c8 79 66
Jun 11 03:33:45 localhost kernel: 4f ae 7f 1e ee fa b1 a1  e1 84 ae 4e fb 15 78 9a
Jun 11 03:33:45 localhost kernel: f6 6b 66 32 ea 87 5f 46  6e 99 c3 ef 58 d2 43 5f
Jun 11 03:33:45 localhost kernel: 24 b1 b4 9d 52 cd ad 2e  df 0f 32 e5 34 d4 05 e2
Jun 11 03:33:45 localhost kernel: bf 75 75 52 1d 08 b8 68  e9 5e 41 35 3d
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: ath_tx_start: Q1: (ds)df1c1c20 (lk)00000000 (d)09baf83c (c0)412400c5 (c1)060000bd 03328000
00006f9c
Jun 11 03:33:45 localhost kernel: ath_tx_txqaddbuf: txq depth = 2
Jun 11 03:33:45 localhost kernel: ath_tx_txqaddbuf: link[1] (df1c3660)=1f1c1c20 (df1c1c20)
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x1040
Jun 11 03:33:45 localhost kernel: ath_tx_processq: tx queue 1 (0x1f1c1c20), link df1c1c20
Jun 11 03:33:45 localhost kernel: ath_tx_processq: frame's last desc: df1c3660
Jun 11 03:33:45 localhost kernel: T (df1c3660 1f1c3660) 1f1c1c20 08e81c3c 412400b5 060000ad 03328000 00006f9c 1e4f0001 0001a639 *
Jun 11 03:33:45 localhost kernel: ath_tx_processq: updating frame's sequence number from 710 to 796
Jun 11 03:33:45 localhost kernel: ath_tx_processq: free skb df76c680
Jun 11 03:33:45 localhost kernel: ath_tx_processq: frame's last desc: df1c1c20
Jun 11 03:33:45 localhost kernel: T (df1c1c20 1f1c1c20) 00000000 09baf83c 412400c5 060000bd 03328000 00006f9c 00000000 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x9009
Jun 11 03:33:45 localhost kernel: ath_rx_tasklet
Jun 11 03:33:45 localhost kernel: R (dfecb6f0 1fecb6f0) 1fecb720 14eb6020 00000000 00000c40 10ce00b5 9c040003 *
Jun 11 03:33:45 localhost kernel: TODS 00:17:9a:c8:1f:f7->00:17:9a:d1:ef:06(00:17:9a:d1:ef:06) data WEP [IV b6 af 6e KID 0] 11M +12
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: 08 41 74 00 00 17 9a d1  ef 06 00 17 9a c8 1f f7
Jun 11 03:33:45 localhost kernel: 00 17 9a d1 ef 06 10 2e  b6 af 6e 00 aa aa 03 00
Jun 11 03:33:45 localhost kernel: 00 00 08 00 45 00 00 89  00 00 40 00 40 11 23 6b
Jun 11 03:33:45 localhost kernel: 0b 00 00 f9 0b 00 00 01  04 aa 04 aa 00 75 a6 fc
Jun 11 03:33:45 localhost kernel: 32 31 87 72 da da b0 e5  9f 5e 43 34 79 df 68 16
Jun 11 03:33:45 localhost kernel: ab 74 bb 91 28 d9 5e d3  de 5b 44 b5 62 a9 c4 63
Jun 11 03:33:45 localhost kernel: ff e4 c3 00 09 66 c0 3d  32 a9 ff 08 5c 4b ea cb
Jun 11 03:33:45 localhost kernel: ad 72 28 88 48 a2 6c 76  5f f6 5a 82 05 e3 2f 33
Jun 11 03:33:45 localhost kernel: 61 5a c1 66 9a aa 34 36  45 f4 63 6e da ec a5 80
Jun 11 03:33:45 localhost kernel: 1d 15 0b af 12 fe 3b 6b  ba e1 a5 7d bf 41 44 07
Jun 11 03:33:45 localhost kernel: b7 07 b3 72 58 35 54 a3  6e 9f 81 cb 77 4f c3 0c
Jun 11 03:33:45 localhost kernel: 68
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: ath_tx_start: skb0 df307c80 [data cd8de83c len 189] skbaddr d8de83c
Jun 11 03:33:45 localhost kernel: FRDS 00:17:9a:d1:ef:06->00:17:9a:c8:1f:f7(00:17:9a:d1:ef:06) data WEP [IV 93 7e 4c KID 0] 11M
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: 08 42 74 00 00 17 9a c8  1f f7 00 17 9a d1 ef 06
Jun 11 03:33:45 localhost kernel: 00 17 9a d1 ef 06 80 2c  93 7e 4c 00 aa aa 03 00
Jun 11 03:33:45 localhost kernel: 00 00 08 00 45 00 00 99  00 00 40 00 40 11 23 5b
Jun 11 03:33:45 localhost kernel: 0b 00 00 01 0b 00 00 f9  04 aa 04 aa 00 85 dd 5f
Jun 11 03:33:45 localhost kernel: 32 3e 94 ff 9a c6 da 54  3b 0b 05 48 08 ac 7e f1
Jun 11 03:33:45 localhost kernel: 1e 4d b9 7f 6d 18 e2 bc  6b 11 ee b0 4c 1e 82 32
Jun 11 03:33:45 localhost kernel: 81 c6 f0 18 f8 bc e3 38  36 93 dc 1d c5 5e be f4
Jun 11 03:33:45 localhost kernel: 77 9c 58 1e 08 3a 1a fc  49 23 9a 6c 3f be 4e ad
Jun 11 03:33:45 localhost kernel: a8 d4 2e 0e 71 01 0c c5  d3 f7 9f 8a c5 9b 62 c1
Jun 11 03:33:45 localhost kernel: 3d ba 18 c1 55 f5 0f af  5f 6a 03 65 39 b9 74 9a
Jun 11 03:33:45 localhost kernel: ca c7 f8 37 57 7b cf 2c  c6 97 c0 b0 22 52 ab fe
Jun 11 03:33:45 localhost kernel: 37 d8 e8 e0 ed 3c 41 3d  69 e8 03 48 aa
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: ath_tx_start: Q1: (ds)df1c38a0 (lk)00000000 (d)0d8de83c (c0)412400c5 (c1)060000bd 03328000
00006f9c
Jun 11 03:33:45 localhost kernel: ath_tx_txqaddbuf: txq depth = 2
Jun 11 03:33:45 localhost kernel: ath_tx_txqaddbuf: link[1] (df1c1c20)=1f1c38a0 (df1c38a0)
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x1040
Jun 11 03:33:45 localhost kernel: ath_tx_processq: tx queue 1 (0x1f1c38a0), link df1c38a0
Jun 11 03:33:45 localhost kernel: ath_tx_processq: frame's last desc: df1c1c20
Jun 11 03:33:45 localhost kernel: T (df1c1c20 1f1c1c20) 1f1c38a0 09baf83c 412400c5 060000bd 03328000 00006f9c 1e660001 0001a63b *
Jun 11 03:33:45 localhost kernel: ath_tx_processq: updating frame's sequence number from 711 to 797
Jun 11 03:33:45 localhost kernel: ath_tx_processq: free skb ca953c80
Jun 11 03:33:45 localhost kernel: ath_tx_processq: frame's last desc: df1c38a0
Jun 11 03:33:45 localhost kernel: T (df1c38a0 1f1c38a0) 00000000 0d8de83c 412400c5 060000bd 03328000 00006f9c 00000000 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x9009
Jun 11 03:33:45 localhost kernel: ath_rx_tasklet
Jun 11 03:33:45 localhost kernel: R (dfecb720 1fecb720) 1fecb750 09383020 00000000 00000c40 10de00b5 dc9b0003 *
Jun 11 03:33:45 localhost kernel: TODS 00:17:9a:c8:1f:f7->00:17:9a:d1:ef:06(00:17:9a:d1:ef:06) data WEP [IV b6 af 6f KID 0] 11M +13
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: 08 41 74 00 00 17 9a d1  ef 06 00 17 9a c8 1f f7
Jun 11 03:33:45 localhost kernel: 00 17 9a d1 ef 06 20 2e  b6 af 6f 00 aa aa 03 00
Jun 11 03:33:45 localhost kernel: 00 00 08 00 45 00 00 89  00 00 40 00 40 11 23 6b
Jun 11 03:33:45 localhost kernel: 0b 00 00 f9 0b 00 00 01  04 aa 04 aa 00 75 06 16
Jun 11 03:33:45 localhost kernel: 32 04 f1 d5 75 ce 5b 92  40 46 25 33 84 b6 6e fa
Jun 11 03:33:45 localhost kernel: 41 bb 29 71 82 c1 7e 7a  09 66 8b 6f e3 65 30 15
Jun 11 03:33:45 localhost kernel: 86 2c b8 c7 ac e7 ff a9  55 d4 cd c4 bb 79 1c db
Jun 11 03:33:45 localhost kernel: 08 6d 4e 6a 61 06 68 2b  78 69 f2 8a 2f 39 b5 2f
Jun 11 03:33:45 localhost kernel: 62 5c ae bf cd f4 df 53  e8 2f a9 95 4b 04 04 6e
Jun 11 03:33:45 localhost kernel: 12 55 e4 91 35 86 b6 cd  51 9d 96 6d c1 f0 79 f2
Jun 11 03:33:45 localhost kernel: 2f 85 7d f2 fc 6a 3b c5  22 e6 8c 53 e3 91 03 a0
Jun 11 03:33:45 localhost kernel: bf
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 3 [tsf 29066127397 tsftu 28384890 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_tx_start: skb0 ce8bdd80 [data c9b1983c len 1461] skbaddr 9b1983c
Jun 11 03:33:45 localhost kernel: FRDS 00:17:9a:d1:ef:06->00:17:9a:c8:1f:f7(00:17:9a:d1:ef:06) data WEP [IV 93 7e 4d KID 0] 11M
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: 08 42 74 00 00 17 9a c8  1f f7 00 17 9a d1 ef 06
Jun 11 03:33:45 localhost kernel: 00 17 9a d1 ef 06 90 2c  93 7e 4d 00 aa aa 03 00
Jun 11 03:33:45 localhost kernel: 00 00 08 00 45 00 05 91  00 00 40 00 40 11 1e 63
Jun 11 03:33:45 localhost kernel: 0b 00 00 01 0b 00 00 f9  04 aa 04 aa 05 7d a8 71
Jun 11 03:33:45 localhost kernel: 32 b4 1e 0f df 30 92 05  7f 16 8c e0 1c 1c 96 2b
Jun 11 03:33:45 localhost kernel: 3d 78 47 4d bb da 4f 83  c1 f5 64 c9 f9 b9 09 20
Jun 11 03:33:45 localhost kernel: 24 d0 f5 f6 9a 9c 79 28  cb a4 c4 4c 2f c5 5d b4
Jun 11 03:33:45 localhost kernel: cb 90 b3 b1 d0 6e 0b ba  40 21 8a a6 ba 7a 96 a1
Jun 11 03:33:45 localhost kernel: 9d e0 3e 49 d3 e2 99 20  e1 7a d6 32 f4 17 ac f0
Jun 11 03:33:45 localhost kernel: b5 39 05 aa c5 bf eb fc  0f cd 01 24 44 11 29 11
Jun 11 03:33:45 localhost kernel: b8 8f c8 41 2c 9d 23 d0  bd c3 69 40 5e 84 04 3a
Jun 11 03:33:45 localhost kernel: da f6 31 f8 6d 1f 2f 8b  4c 82 27 a7 22 24 a6 c9
Jun 11 03:33:45 localhost kernel: 52 ad d6 1c 3a 32 2b 7d  d0 9e 81 5b 7a 58 95 98
Jun 11 03:33:45 localhost kernel: fe cd 7e 0d b2 da 22 65  fd f2 da 35 27 98 39 79
Jun 11 03:33:45 localhost kernel: 0d b6 e8 6f f7 9e d3 24  71 8a f7 6b 07 77 78 90
Jun 11 03:33:45 localhost kernel: 4c 00 25 29 1f 21 47 2e  18 32 1c c2 24 27 4f a6
Jun 11 03:33:45 localhost kernel: a0 e6 18 08 06 8b 6e 4c  a7 a3 eb 4a c6 dc cc b5
Jun 11 03:33:45 localhost kernel: bb fc 24 96 8d 7b 93 26  af 1d 8a fe 7c ec 05 b4
Jun 11 03:33:45 localhost kernel: 92 4d 3b 86 91 ee 98 ba  e0 47 6c fa ac 10 b1 b1
Jun 11 03:33:45 localhost kernel: 3a 0d f6 25 b6 0b 5f 20  c4 bc 71 52 79 84 38 5a
Jun 11 03:33:45 localhost kernel: 97 cc c0 56 97 f1 97 5a  3b 1d 50 6d 40 0d c1 21
Jun 11 03:33:45 localhost kernel: 8d 49 8d 4f de 79 23 71  99 92 2f f4 21 9b b6 6e
Jun 11 03:33:45 localhost kernel: 46 3e 3c e9 29 5e 02 e8  5c ea 58 a6 53 1b 37 68
Jun 11 03:33:45 localhost kernel: 81 54 4d 78 d6 f4 f2 a4  0f 5a 3b 50 0a 92 1a e8
Jun 11 03:33:45 localhost kernel: ef 68 cf 26 99 97 63 a7  b4 a7 fc 30 9c 65 85 57
Jun 11 03:33:45 localhost kernel: 37 32 c6 77 51 e2 c1 da  50 08 fa 3a 36 0f 17 ed
Jun 11 03:33:45 localhost kernel: bf 63 f7 7d 66 2b 43 d2  51 f3 ee a4 fe 5e e3 5f
Jun 11 03:33:45 localhost kernel: 42 6a 93 85 50 7d ee d0  70 05 6c 16 18 f6 94 dc
Jun 11 03:33:45 localhost kernel: 33 01 d8 6a 5a 8b 90 7b  6e 64 39 69 08 7e 65 c5
Jun 11 03:33:45 localhost kernel: 23 10 de 96 0f 76 4f 6a  bf c4 45 94 00 da 58 33
Jun 11 03:33:45 localhost kernel: bc 21 ab 8b fa 43 e8 27  7a 78 d4 ad dc 00 ac bd
Jun 11 03:33:45 localhost kernel: 3a 06 17 e3 8b db fa 09  ba 49 c9 c4 79 f6 8a dc
Jun 11 03:33:45 localhost kernel: 45 7a ad 93 c8 26 ac fe  be 14 7a 4f 1f b6 3b bd
Jun 11 03:33:45 localhost kernel: 71 ac 43 78 ed 8f 75 8b  46 e3 19 f0 02 27 dc 82
Jun 11 03:33:45 localhost kernel: 09 3c 8d ae f6 9d de b4  48 aa c2 a6 f8 81 ae d9
Jun 11 03:33:45 localhost kernel: 6d ca 61 a3 07 83 20 5a  26 e6 b6 84 95 80 72 67
Jun 11 03:33:45 localhost kernel: 80 cd 95 d0 df 4f fa e2  dd 62 ec 95 78 ce 9a 12
Jun 11 03:33:45 localhost kernel: 46 d5 5f b6 27 e9 77 65  ed 74 2a d3 44 81 76 bb
Jun 11 03:33:45 localhost kernel: c5 26 6c 39 bf 52 a4 89  d2 91 7c 3d 58 69 2e 5f
Jun 11 03:33:45 localhost kernel: 67 84 87 18 3d 56 7d 56  8b e1 f5 c1 9d 73 75 56
Jun 11 03:33:45 localhost kernel: bb 74 12 06 4b 1e b4 7c  47 7c 88 83 2d f2 f0 ce
Jun 11 03:33:45 localhost kernel: 7a 2a c9 94 55 79 08 07  7e af f4 78 65 2f c3 95
Jun 11 03:33:45 localhost kernel: 28 cc b9 ee 8a dd 9a 2f  5d 2c 80 df b9 7f d9 3a
Jun 11 03:33:45 localhost kernel: 08 3b 65 65 ff 20 83 4f  8c 6d 21 16 e0 a4 9e 1e
Jun 11 03:33:45 localhost kernel: 21 18 6c 08 01 09 51 0d  64 7a be 7d c7 9e 75 14
Jun 11 03:33:45 localhost kernel: 9e 20 da 49 35 7c a9 42  10 fb 60 4f 62 58 c7 05
Jun 11 03:33:45 localhost kernel: 21 01 59 b4 19 06 8f 1d  c1 4c 52 ef 1f a8 88 61
Jun 11 03:33:45 localhost kernel: 2c 00 4b 68 e4 f7 44 f3  0c 68 9c 0b 19 ff 01 6b
Jun 11 03:33:45 localhost kernel: d3 46 c6 67 4c 3b e5 f8  56 56 af c0 0b ea 08 84
Jun 11 03:33:45 localhost kernel: d0 ff 7e db 5d 18 b0 50  19 db 79 bd 78 70 39 80
Jun 11 03:33:45 localhost kernel: f0 39 24 3e 90 44 d4 b9  d4 39 0b 48 24 1b 06 ab
Jun 11 03:33:45 localhost kernel: 22 b3 c3 75 18 8a 36 9a  7f 39 15 cd 04 58 1b 4e
Jun 11 03:33:45 localhost kernel: 02 b0 ac 2c 21 47 24 a5  54 5d a8 10 54 0f 98 31
Jun 11 03:33:45 localhost kernel: 9c 94 82 2b 48 b9 e6 98  2b 92 c0 7d dc 0a c8 85
Jun 11 03:33:45 localhost kernel: f0 49 df 04 2e 97 7d 9b  be f3 33 f7 67 3b 90 9c
Jun 11 03:33:45 localhost kernel: c8 e5 88 2c e5 48 5c 63  c7 36 55 cd 77 fa 87 2c
Jun 11 03:33:45 localhost kernel: 29 bb e2 9b 96 3c 1e 67  da 22 d4 eb aa 11 14 bc
Jun 11 03:33:45 localhost kernel: 2f 02 a5 31 ae 1d f1 3b  e9 db 79 5e 90 84 9e 18
Jun 11 03:33:45 localhost kernel: 07 e7 21 97 a5 c3 4c 3f  54 4b 80 f9 d3 5d 40 fb
Jun 11 03:33:45 localhost kernel: 7e 10 79 a7 73 eb 43 f8  c5 73 e4 da f7 95 53 bd
Jun 11 03:33:45 localhost kernel: ee 41 83 79 3e 1e 5d f8  d0 01 91 cb 37 b2 b9 52
Jun 11 03:33:45 localhost kernel: cd 7a 6c fb 9f 4e ff 10  cb de 70 18 9b 08 1f ec
Jun 11 03:33:45 localhost kernel: fa 1e 68 f0 ec 29 2a 7d  44 35 89 ce a1 e4 e5 91
Jun 11 03:33:45 localhost kernel: 78 8b a8 d5 2d b4 c5 90  19 0d 24 d4 a9 68 d9 fd
Jun 11 03:33:45 localhost kernel: f6 d0 93 d9 ae 49 93 5d  02 69 f8 bf 3d bc e4 d2
Jun 11 03:33:45 localhost kernel: 82 cb 9f 2b 92 65 8f 9a  9e 7c a6 ec 2a 88 30 0b
Jun 11 03:33:45 localhost kernel: d5 7a 0b 39 c6 bf cd 35  e7 bf 74 60 f9 80 fc 36
Jun 11 03:33:45 localhost kernel: 37 60 09 2d 94 4d b2 86  78 1a b3 2a 33 14 db c6
Jun 11 03:33:45 localhost kernel: f0 d6 75 3d 50 47 35 a9  b1 95 52 67 d0 54 e3 bd
Jun 11 03:33:45 localhost kernel: c3 51 0f 32 47 1f ba 2f  a8 c6 4b 78 4c ee ae 27
Jun 11 03:33:45 localhost kernel: 43 49 6c 3f 9b 4c dd 68  46 c0 e3 a4 df af 61 69
Jun 11 03:33:45 localhost kernel: 85 22 0c 96 a4 72 1c 75  e9 3f fb 24 df 69 e6 1d
Jun 11 03:33:45 localhost kernel: c8 98 cf 10 99 4a 90 b8  37 5a a7 4d 69 e4 3b e9
Jun 11 03:33:45 localhost kernel: a9 8a eb 69 d4 d1 54 38  a4 8c 1d 78 cb 55 c3 28
Jun 11 03:33:45 localhost kernel: 36 23 a5 88 3d 4b 50 dc  05 74 19 00 9e f4 bc 56
Jun 11 03:33:45 localhost kernel: 37 4c 97 d4 0d bb 4a 0c  a6 fb 23 b0 0b a5 f7 69
Jun 11 03:33:45 localhost kernel: 49 af c4 44 19 23 0d 6d  61 d6 6a 07 ab 57 86 d2
Jun 11 03:33:45 localhost kernel: 92 8c 12 92 68 a7 8b d8  1b 69 5a 3f 50 1e 6d b7
Jun 11 03:33:45 localhost kernel: 6a b8 78 74 a4 5b 7c 1b  d8 87 59 fa 68 1d c8 ac
Jun 11 03:33:45 localhost kernel: a7 07 5b dd 37 a5 6c 48  2c 7d ce a5 63 b7 51 63
Jun 11 03:33:45 localhost kernel: fe e8 16 bb f1 00 07 e5  62 90 7a a3 4e 35 04 48
Jun 11 03:33:45 localhost kernel: b2 b6 b3 b7 4c 6f 15 08  f6 13 de 35 f8 f9 55 f7
Jun 11 03:33:45 localhost kernel: ff 30 16 c4 04 38 c1 2f  2c 30 45 ba 4d 34 23 73
Jun 11 03:33:45 localhost kernel: 29 76 1b 52 56 78 6f 73  ff d6 3f 86 34 42 5e 6d
Jun 11 03:33:45 localhost kernel: 34 20 be 11 d2 5e c3 8e  c1 dc cf 8f e4 cd 0b 07
Jun 11 03:33:45 localhost kernel: 69 2c 5e 08 ae c9 d2 a3  b6 24 9f a0 a4 0d 60 0f
Jun 11 03:33:45 localhost kernel: cc 22 10 41 28 63 3a 16  94 94 de 99 e3 5d aa 6f
Jun 11 03:33:45 localhost kernel: 92 00 bd 0f 95 7f ac 37  47 ee 42 32 62 3a 9a 0e
Jun 11 03:33:45 localhost kernel: f6 8f 52 89 42 1a b8 c1  e8 c7 8a 9e 17 fa 34 00
Jun 11 03:33:45 localhost kernel: f1 f2 00 12 e2 ec 47 92  7d 24 3f 46 28 83 66 04
Jun 11 03:33:45 localhost kernel: 2f b8 5e 49 29 7a b3 e0  c7 31 5f 98 3a 34 6c 60
Jun 11 03:33:45 localhost kernel: 27 d0 77 58 c5
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: ath_tx_start: Q1: (ds)df1c3ae0 (lk)00000000 (d)09b1983c (c0)412405bd (c1)060005b5 03328000
00006f9c
Jun 11 03:33:45 localhost kernel: ath_tx_txqaddbuf: txq depth = 2
Jun 11 03:33:45 localhost kernel: ath_tx_txqaddbuf: link[1] (df1c38a0)=1f1c3ae0 (df1c3ae0)
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x1040
Jun 11 03:33:45 localhost kernel: ath_tx_processq: tx queue 1 (0x1f1c3ae0), link df1c3ae0
Jun 11 03:33:45 localhost kernel: ath_tx_processq: frame's last desc: df1c38a0
Jun 11 03:33:45 localhost kernel: T (df1c38a0 1f1c38a0) 1f1c3ae0 0d8de83c 412400c5 060000bd 03328000 00006f9c 1e760001 0001a63d *
Jun 11 03:33:45 localhost kernel: ath_tx_processq: updating frame's sequence number from 712 to 798
Jun 11 03:33:45 localhost kernel: ath_tx_processq: free skb df307c80
Jun 11 03:33:45 localhost kernel: ath_tx_processq: frame's last desc: df1c3ae0
Jun 11 03:33:45 localhost kernel: T (df1c3ae0 1f1c3ae0) 00000000 09b1983c 412405bd 060005b5 03328000 00006f9c 00000000 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x9009
Jun 11 03:33:45 localhost kernel: ath_rx_tasklet
Jun 11 03:33:45 localhost kernel: R (dfecb750 1fecb750) 1fecb000 091fb020 00000000 00000c40 10de00b5 81190003 *
Jun 11 03:33:45 localhost kernel: TODS 00:17:9a:c8:1f:f7->00:17:9a:d1:ef:06(00:17:9a:d1:ef:06) data WEP [IV b6 af 70 KID 0] 11M +13
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: 08 41 74 00 00 17 9a d1  ef 06 00 17 9a c8 1f f7
Jun 11 03:33:45 localhost kernel: 00 17 9a d1 ef 06 30 2e  b6 af 70 00 aa aa 03 00
Jun 11 03:33:45 localhost kernel: 00 00 08 00 45 00 00 89  00 00 40 00 40 11 23 6b
Jun 11 03:33:45 localhost kernel: 0b 00 00 f9 0b 00 00 01  04 aa 04 aa 00 75 cb e8
Jun 11 03:33:45 localhost kernel: 32 42 e8 6b 26 9d 56 30  ae f9 a7 e3 fa c5 d7 ec
Jun 11 03:33:45 localhost kernel: bc 68 da 83 68 e3 67 55  43 20 58 2f d5 f2 96 c2
Jun 11 03:33:45 localhost kernel: 18 0c e7 89 ae cc a3 1d  9a 93 d3 2c 00 67 79 f8
Jun 11 03:33:45 localhost kernel: 83 73 e4 57 48 42 00 68  56 e5 c2 6c 4e 89 d8 6a
Jun 11 03:33:45 localhost kernel: 15 b8 3a 5b 0d 9f f9 b2  85 4c 49 d2 3a bb 8f 49
Jun 11 03:33:45 localhost kernel: 78 25 ea c5 e0 91 5a 6d  b1 67 f3 ad 9c 5f c3 b3
Jun 11 03:33:45 localhost kernel: bb 4b f4 af 62 3f 52 13  3b 96 0a ba 7a 91 fa 29
Jun 11 03:33:45 localhost kernel: 08
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: ath_tx_start: skb0 df58bc80 [data cdcdb63c len 173] skbaddr dcdb63c
Jun 11 03:33:45 localhost kernel: FRDS 00:17:9a:d1:ef:06->00:17:9a:c8:1f:f7(00:17:9a:d1:ef:06) data WEP [IV 93 7e 4e KID 0] 11M
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: 08 42 74 00 00 17 9a c8  1f f7 00 17 9a d1 ef 06
Jun 11 03:33:45 localhost kernel: 00 17 9a d1 ef 06 a0 2c  93 7e 4e 00 aa aa 03 00
Jun 11 03:33:45 localhost kernel: 00 00 08 00 45 00 00 89  00 00 40 00 40 11 23 6b
Jun 11 03:33:45 localhost kernel: 0b 00 00 01 0b 00 00 f9  04 aa 04 aa 00 75 ec 64
Jun 11 03:33:45 localhost kernel: 32 36 4a 2a b4 bc d1 bb  bc 18 ab 15 64 af cb 50
Jun 11 03:33:45 localhost kernel: 70 2a b1 4a ac 5f 0d ed  ca a1 74 8d 20 5b 6f 2f
Jun 11 03:33:45 localhost kernel: 2b 2a ce 9a df cd 35 f6  87 9a 55 e5 42 26 bb fc
Jun 11 03:33:45 localhost kernel: 92 80 e3 49 e9 33 46 d9  01 63 45 fd e9 7d d7 69
Jun 11 03:33:45 localhost kernel: 1f 38 56 5d 6c 27 7d d4  af d3 78 fa 1d 82 c8 27
Jun 11 03:33:45 localhost kernel: e4 69 0b 50 5f c8 58 92  7b 1d 28 8f 5f 30 5f 57
Jun 11 03:33:45 localhost kernel: be c8 38 da f8 d2 a0 94  74 28 b9 fc dd
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: ath_tx_start: Q1: (ds)df1c37e0 (lk)00000000 (d)0dcdb63c (c0)412400b5 (c1)060000ad 03328000
00006f9c
Jun 11 03:33:45 localhost kernel: ath_tx_txqaddbuf: txq depth = 2
Jun 11 03:33:45 localhost kernel: ath_tx_txqaddbuf: link[1] (df1c3ae0)=1f1c37e0 (df1c37e0)
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x1040
Jun 11 03:33:45 localhost kernel: ath_tx_processq: tx queue 1 (0x1f1c37e0), link df1c37e0
Jun 11 03:33:45 localhost kernel: ath_tx_processq: frame's last desc: df1c3ae0
Jun 11 03:33:45 localhost kernel: T (df1c3ae0 1f1c3ae0) 1f1c37e0 09b1983c 412405bd 060005b5 03328000 00006f9c 1e7f0001 0001863f *
Jun 11 03:33:45 localhost kernel: ath_tx_processq: updating frame's sequence number from 713 to 799
Jun 11 03:33:45 localhost kernel: ath_tx_processq: free skb ce8bdd80
Jun 11 03:33:45 localhost kernel: ath_tx_processq: frame's last desc: df1c37e0
Jun 11 03:33:45 localhost kernel: T (df1c37e0 1f1c37e0) 00000000 0dcdb63c 412400b5 060000ad 03328000 00006f9c 00000000 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x1009
Jun 11 03:33:45 localhost kernel: ath_rx_tasklet
Jun 11 03:33:45 localhost kernel: R (dfecb000 1fecb000) 1fecb030 1e42c020 00000000 00000c40 10ed801e 41030003 *
Jun 11 03:33:45 localhost kernel: NODS 00:17:9a:c8:1f:f7->00:17:9a:d1:ef:06(00:17:9a:d1:ef:06) disassoc 1M +14
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: a0 00 3a 01 00 17 9a d1  ef 06 00 17 9a c8 1f f7
Jun 11 03:33:45 localhost kernel: 00 17 9a d1 ef 06 40 2e  08 00
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: ath_key_update_begin:
Jun 11 03:33:45 localhost kernel: ath_key_update_end:
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 0 [tsf 29066152996 tsftu 28384915 intval 100] vap df8f22c0
Jun 11 03:33:45 localhost kernel: ath_beacon_setup: m df58ea80 len 121
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x1009
Jun 11 03:33:45 localhost kernel: ath_rx_tasklet
Jun 11 03:33:45 localhost kernel: R (dfecb030 1fecb030) 1fecb060 186e3020 00000000 00000c40 10ed8035 69600003 *
Jun 11 03:33:45 localhost kernel: NODS 00:17:9a:c8:1f:f7->ff:ff:ff:ff:ff:ff(ff:ff:ff:ff:ff:ff) probe_req 1M +14
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: 40 00 00 00 ff ff ff ff  ff ff 00 17 9a c8 1f f7
Jun 11 03:33:45 localhost kernel: ff ff ff ff ff ff 00 00  00 07 69 73 65 72 76 65
Jun 11 03:33:45 localhost kernel: 72 01 08 02 04 0b 16 0c  12 18 24 32 04 30 48 60
Jun 11 03:33:45 localhost kernel: 6c
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: ath_rate_sample: ath_rate_ctl_reset 00:00:00:00:00:00 no rates (fixed 4294967295)
Jun 11 03:33:45 localhost kernel: ath_node_alloc: an d3530000
Jun 11 03:33:45 localhost kernel: ath_tx_start: skb0 cdcd1b80 [data c8e81c10 len 115] skbaddr 8e81c10
Jun 11 03:33:45 localhost kernel: NODS 00:17:9a:d1:ef:06->00:17:9a:c8:1f:f7(00:17:9a:d1:ef:06) probe_resp 1M
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: 50 00 3a 01 00 17 9a c8  1f f7 00 17 9a d1 ef 06
Jun 11 03:33:45 localhost kernel: 00 17 9a d1 ef 06 00 00  00 00 00 00 00 00 00 00
Jun 11 03:33:45 localhost kernel: 64 00 31 04 00 07 69 73  65 72 76 65 72 01 08 82
Jun 11 03:33:45 localhost kernel: 84 8b 0c 12 96 18 24 03  01 0b 07 06 4e 41 49 01
Jun 11 03:33:45 localhost kernel: 0d 14 20 01 00 2a 01 00  32 04 30 48 60 6c dd 18
Jun 11 03:33:45 localhost kernel: 00 50 f2 02 01 01 82 00  02 a3 40 00 27 a4 00 00
Jun 11 03:33:45 localhost kernel: 42 43 5e 00 62 32 2f 00  dd 09 00 03 7f 01 01 00
Jun 11 03:33:45 localhost kernel: 24 00 00
Jun 11 03:33:45 localhost kernel:
Jun 11 03:33:45 localhost kernel: ath_tx_start: Q1: (ds)df1c3b40 (lk)00000000 (d)08e81c10 (c0)01240077 (c1)06400073 000b0000
0000001b
Jun 11 03:33:45 localhost kernel: ath_tx_txqaddbuf: txq depth = 2
Jun 11 03:33:45 localhost kernel: ath_tx_txqaddbuf: link[1] (df1c37e0)=1f1c3b40 (df1c3b40)
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x1040
Jun 11 03:33:45 localhost kernel: ath_tx_processq: tx queue 1 (0x1f1c3b40), link df1c3b40
Jun 11 03:33:45 localhost kernel: ath_tx_processq: frame's last desc: df1c37e0
Jun 11 03:33:45 localhost kernel: T (df1c37e0 1f1c37e0) 1f1c3b40 0dcdb63c 412400b5 060000ad 03328000 00006f9c 1e830001 0001a641 *
Jun 11 03:33:45 localhost kernel: ath_key_update_begin:
Jun 11 03:33:45 localhost kernel: ath_key_update_end:
Jun 11 03:33:45 localhost kernel: ath_tx_processq: updating frame's sequence number from 714 to 800
Jun 11 03:33:45 localhost kernel: ath_tx_processq: free skb df58bc80
Jun 11 03:33:45 localhost kernel: ath_tx_processq: frame's last desc: df1c3b40
Jun 11 03:33:45 localhost kernel: T (df1c3b40 1f1c3b40) 00000000 08e81c10 01240077 06400073 000b0000 0000001b 00000000 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 1 [tsf 29066178594 tsftu 28384940 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 2 [tsf 29066204197 tsftu 28384965 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 3 [tsf 29066229799 tsftu 28384990 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 0 [tsf 29066255399 tsftu 28385015 intval 100] vap df8f22c0
Jun 11 03:33:45 localhost kernel: ath_beacon_setup: m df58ea80 len 121
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 1 [tsf 29066280994 tsftu 28385040 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 2 [tsf 29066306594 tsftu 28385065 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 3 [tsf 29066332195 tsftu 28385090 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 0 [tsf 29066357795 tsftu 28385115 intval 100] vap df8f22c0
Jun 11 03:33:45 localhost kernel: ath_beacon_setup: m df58ea80 len 121
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 1 [tsf 29066383395 tsftu 28385140 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 2 [tsf 29066408994 tsftu 28385165 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 3 [tsf 29066434594 tsftu 28385190 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 0 [tsf 29066460195 tsftu 28385215 intval 100] vap df8f22c0
Jun 11 03:33:45 localhost kernel: ath_beacon_setup: m df58ea80 len 121
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 1 [tsf 29066485796 tsftu 28385240 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 2 [tsf 29066511392 tsftu 28385265 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 3 [tsf 29066536991 tsftu 28385290 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 0 [tsf 29066562592 tsftu 28385315 intval 100] vap df8f22c0
Jun 11 03:33:45 localhost kernel: ath_beacon_setup: m df58ea80 len 121
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 1 [tsf 29066588195 tsftu 28385340 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 2 [tsf 29066613796 tsftu 28385365 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 3 [tsf 29066639394 tsftu 28385390 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 0 [tsf 29066664995 tsftu 28385415 intval 100] vap df8f22c0
Jun 11 03:33:45 localhost kernel: ath_beacon_setup: m df58ea80 len 121
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 1 [tsf 29066690595 tsftu 28385440 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 2 [tsf 29066716203 tsftu 28385465 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 3 [tsf 29066741797 tsftu 28385490 intval 100] vap 00000000
Jun 11 03:33:45 localhost kernel: ath_intr: status 0x11000
Jun 11 03:33:45 localhost kernel: ath_beacon_send: slot 0 [tsf 29066767395 tsftu 28385515 intval 100] vap df8f22c0
Jun 11 03:33:45 localhost kernel: ath_beacon_setup: m df58ea80 len 121

after this line was the freeze

Attachments

ff_done.diff (1.2 kB) - added by dyqith on 06/18/07 16:20:29.
Try to fix the ATH_TXQ_LOCK problems in ath_hardstart
ff_flushdone.diff (1.3 kB) - added by dyqith on 06/18/07 21:00:14.
Better patch for making sure ATH_TXQ_LOCK plays nice.

Change History

06/11/07 11:55:31 changed by strasak@bubakov.net

It just freezes? No oops/panic? Try to enable nmi watchdog - it sometimes detect lockup and throw panic/reboot box even when sysrq and stuff doesn't work and box seems to be dead to that extend that only hw reset or power button works ...

06/11/07 14:49:42 changed by strasak@bubakov.net

the following crash could be related - i have got it reproducibly - on non-SMP machine, with latest trunk in the time of test - 2433

i am observing it at machine with 4 atheros cards, two in master mode, two in sta mode, two of sta-ones are connected to one in master, flooding it with help of send2self loopback patch, the last ap mode one has only one station - one of these RB532 mentioned in other tickets - associated. When first 3 cards are flooding themselves and traffic on the last one is high - many tcp connections, high but variable throughtput - this bug occure within 2-20 minutes timeframe. With 0.9.3.1 the same configuration and the same type of load box is rock solid, so i guess problem is introduced or amplified by some changes in development branch - will test pre-locking changes 2380 here too, to see if it will help. Crash dump follows. I know previous poster tried 0.9.3.1 too, and had lockups too, but it could be timing/other hw stuff.

BUG: NMI Watchdog detected LOCKUP on CPU0, eip c037de30, registers:
Modules linked in: wlan_scan_ap wlan_scan_sta snd_pcm_oss snd_mixer_oss nfsd exportfs ipv6 ohci_hcd rtc_cmos rtc_core rtc_lib amd64_agp agpgart shpchp pci_hotplug e1000 uhci_hcd ehci_hcd usbcore i2c_viapro snd_via82xx snd_ac97_codec ac97_bus snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd via_rhine k8temp ath_rate_sample ath_pci ath_hal(P) wlan_acl wlan eeprom w83781d hwmon_vid i2c_isa i2c_amd756 i2c_core ide_scsi
CPU:    0
EIP:    0060:[<c037de30>]    Tainted: P       VLI
EFLAGS: 00000086   (2.6.21.3-ng-ring3-s2s-sqsh-l7-swan-imq-esfq-smp-kvm-amd-dnd #3)
EIP is at _spin_lock_irqsave+0x40/0x50
eax: 00000082   ebx: f5150000   ecx: 00000082   edx: f514b8d0
esi: f5167380   edi: 00000000   ebp: f514a480   esp: c0473c20
ds: 007b   es: 007b   fs: 00d8  gs: 0000  ss: 0068
Process swapper (pid: 0, ti=c0472000 task=c043cd00 task.ti=c0472000)
Stack: f8af96d0 f5150000 f5167380 00000600 00000001 00000001 f5167380 0000000c 
       00000002 00000004 00000000 00000001 00000000 00000000 00000000 00000000 
       00000003 f4ed4bc0 00000000 f514b8d0 00000000 f5167380 00000000 00000000 
Call Trace:
 [<f8af96d0>] ath_tx_start+0x870/0x11a0 [ath_pci]
 [<f8af2ecd>] ath_hardstart+0x87d/0xaf0 [ath_pci]
 [<c0342e2a>] icmp_reply+0x21a/0x280
 [<c0118f12>] try_to_wake_up+0x252/0x2b0
 [<c02fc4f2>] dev_hard_start_xmit+0x62/0xe0
 [<c030c602>] __qdisc_run+0x72/0x1b0
 [<c02fc791>] dev_queue_xmit+0x221/0x2a0
 [<f8b197b7>] ieee80211_hardstart+0x1c7/0x2f0 [wlan]
 [<c02fc4f2>] dev_hard_start_xmit+0x62/0xe0
 [<c02fc700>] dev_queue_xmit+0x190/0x2a0
 [<c03205c2>] ip_output+0x172/0x290
 [<c02f70de>] pskb_expand_head+0xde/0x130
 [<c031eaa0>] ip_forward+0x1a0/0x2a0
 [<c031d236>] ip_rcv+0x236/0x4c0
 [<c02fce5e>] netif_receive_skb+0x2be/0x3c0
 [<c0130008>] cleanup_workqueue_thread+0x28/0x50
 [<f8adfede>] rhine_rx+0x2de/0x440 [via_rhine]
 [<c0136349>] enqueue_hrtimer+0xb9/0x130
 [<f8ade364>] rhine_napipoll+0x24/0xb0 [via_rhine]
 [<c02fd116>] net_rx_action+0x96/0x1e0
 [<c012481d>] __do_softirq+0xcd/0xf0
 [<c0124891>] do_softirq+0x51/0x60
 [<c012493d>] irq_exit+0x6d/0x70
 [<c010682e>] do_IRQ+0x3e/0x80
 [<c0104b9b>] common_interrupt+0x23/0x28
 [<c0116222>] native_safe_halt+0x2/0x10
 [<c010206b>] default_idle+0x3b/0x60
 [<c0102119>] cpu_idle+0x79/0x90
 [<c0478d4c>] start_kernel+0x1dc/0x250
 [<c0478640>] unknown_bootoption+0x0/0x1a0
 =======================
Code: c1 90 fe 0a 79 2e f7 c1 00 02 00 00 74 1d fb 66 66 66 90 66 66 66 90 90 f3 90 80 3a 00 7e f9 fa 66 66 66 90 66 66 66 90 90 eb d6 <f3> 90 80 3a 00 7f cf eb f7 89 c8 c3 8d 74 26 00 89 c2 fa 66 66 

06/13/07 06:56:13 changed by reviczky@freemail.hu

Hi, so i enabled nmi watchdog, and here is the kernel panic output:

i801 intel_agp agpgart parport_pc parport psmouse serio_raw floppy gameport pcspkr rtc shpchp pci_hotplug i2c_core evdev reiserf
s raid10 raid456 xor raid1 raid0 multipath linear md_mod dm_mirror dm_mod ide_cd cdrom ide_disk hpt366 piix aic7xxx scsi_transpo
rt_spi scsi_mod 3c59x mii generic ide_core uhci_hcd usbcore thermal processor fan vga16fb vgastate
CPU:    0
EIP:    0060:[<e0e65d49>]    Tainted: P       VLI
EFLAGS: 00210202   (2.6.18-4-686 #1)
EIP is at ath_tx_start+0x74a/0x10c6 [ath_pci]
eax: 00000b94   ebx: cde3ea3c   ecx: e0ea9460   edx: df82f2c0
esi: c158d71c   edi: c745e000   ebp: c158c2c0   esp: de79db50
ds: 007b   es: 007b   ss: 0068
Process openvpn (pid: 4366, ti=de79c000 task=c1637aa0 task.ti=de79c000)
Stack: 00000000 00000000 dfb483c0 c158c000 c745e000 e0eb76b1 00000003 ffffffff 
       de79dbe2 00000000 dca8b280 c745e000 000000a1 c02c7860 df82f2c0 c158c2c0 
       df82f2c0 df400000 00000000 00000000 0000001c ff000000 00000000 cde3ea3c 
Call Trace:
 [<e0eb76b1>] ieee80211_encap+0x27c/0x1093 [wlan]
 [<e0e6b171>] ath_hardstart+0xcee/0xdea [ath_pci]
 [<c012da87>] remove_wait_queue+0xf/0x34
 [<c0125491>] __mod_timer+0x99/0xa3
 [<c0281447>] _spin_lock_bh+0x8/0x18
 [<c0124657>] do_gettimeofday+0x31/0xce
 [<c022926a>] dev_hard_start_xmit+0x19a/0x1f0
 [<c0236985>] __qdisc_run+0xdd/0x188
 [<c022aa92>] dev_queue_xmit+0x142/0x24c
 [<e0eb7122>] ieee80211_hardstart+0x2b0/0x2e6 [wlan]
 [<c022926a>] dev_hard_start_xmit+0x19a/0x1f0
 [<c022aafe>] dev_queue_xmit+0x1ae/0x24c
 [<c0247f52>] ip_output+0x1c3/0x1fd
 [<c0245a48>] ip_push_pending_frames+0x2de/0x391
 [<c025e1de>] udp_push_pending_frames+0x1e3/0x204
 [<c025ead5>] udp_sendmsg+0x404/0x4c9
 [<c0263e77>] inet_sendmsg+0x35/0x3f
 [<c021fed7>] sock_sendmsg+0xce/0xe8
 [<c012d92d>] autoremove_wake_function+0x0/0x2d
 [<e1012661>] ipt_do_table+0x1ac/0x2cb [ip_tables]
 [<e1019418>] ip_nat_fn+0x170/0x184 [iptable_nat]
 [<c0220434>] sys_sendto+0x116/0x140
 [<c0226305>] memcpy_toiovec+0x27/0x4a
 [<c0226749>] skb_copy_datagram_iovec+0x53/0x1c8
 [<c012da87>] remove_wait_queue+0xf/0x34
 [<e1086534>] tun_chr_readv+0x29b/0x2a5 [tun]
 [<c0221765>] sys_socketcall+0xeb/0x181
 [<c0102c11>] sysenter_past_esp+0x56/0x79
 =======================
Code: 7c 24 6c 00 74 16 0f b6 84 24 97 00 00 00 8b 54 24 68 6b c0 0c 0f b7 5c 10 2e eb 14 0f b6 84 24 97 00 00 00 8b 4c 24 68 6b
 c0 0c <0f> b7 5c 08 2c 8b 44 24 5c f6 40 01 04 74 2a ff 74 24 6c 0f b6 
EIP: [<e0e65d49>] ath_tx_start+0x74a/0x10c6 [ath_pci]   SS: ESP   0068: de79db50
 <0>Kernel panic - not syncing: Fatal exception in interrupt

It seems, that the freeze is really caused by madwifi. One more info: I have openvpn, which redirects the internet traffic through the WLAN to the clients and use the tun device (and therefore NAT is used).

06/16/07 08:22:20 changed by dyqith

I've seen a similar problem a few days ago too. Can you try with the latest svn revision? Someone updated the locking mechanisms that (hopefully) fixed this problem.

06/16/07 09:34:07 changed by reviczky@freemail.hu

I've use now r2468, lets see if this helps.

06/16/07 09:52:51 changed by reviczky@freemail.hu

Well, it just freezed 5 minutes after the boot :(.

06/17/07 00:46:57 changed by reviczky@freemail.hu

rt_spi scsi_mod generic ide_core 3c59x mii uhci_hcd usbcore thermal processor fan vga16fb vgastate
CPU:    0
EIP:    0060:[<c0281425>]    Tainted: P       VLI
EFLAGS: 00200086   (2.6.18-4-686 #1)
EIP is at _spin_lock_irqsave+0x1d/0x27
eax: df24f704   ebx: df8712c0   ecx: df6587e8   edx: 00200046
esi: df24e2c0   edi: dfee0000   ebp: df24f6f4   esp: df755b34
ds: 007b   es: 007b   ss: 0068
Process openvpn (pid: 4347, ti=df754000 task=dfaecaa0 task.ti=df754000)
Stack: e0f07677 00000000 00000000 00000000 df6587e8 ced22000 e0edfc00 df755bc6 
       df755c60 dbada780 1cd22000 000005b9 df8712c0 df24e2c0 df24e2c0 df8712c0 
       dfee0000 00000000 00000000 0000001c 00000000 ff000000 dfef1140 de69403c 
Call Trace:
 [<e0f07677>] ath_tx_start+0x1033/0x12d4 [ath_pci]
 [<e0edfc00>] ieee80211_encap+0x238/0x1130 [wlan]
 [<e0f0e4b1>] ath_hardstart+0xaf3/0xf77 [ath_pci]
 [<c0125380>] lock_timer_base+0x15/0x2f
 [<c0125491>] __mod_timer+0x99/0xa3
 [<c0281447>] _spin_lock_bh+0x8/0x18
 [<e1008102>] ipt_limit_match+0x5f/0x65 [xt_limit]
 [<c0124657>] do_gettimeofday+0x31/0xce
 [<c022926a>] dev_hard_start_xmit+0x19a/0x1f0
 [<c0236985>] __qdisc_run+0xdd/0x188
 [<c022aa92>] dev_queue_xmit+0x142/0x24c
 [<e0edf76f>] ieee80211_hardstart+0x2d7/0x373 [wlan]
 [<c022926a>] dev_hard_start_xmit+0x19a/0x1f0
 [<c022aafe>] dev_queue_xmit+0x1ae/0x24c
 [<c0247f52>] ip_output+0x1c3/0x1fd
 [<c0245a48>] ip_push_pending_frames+0x2de/0x391
 [<c025e1de>] udp_push_pending_frames+0x1e3/0x204
 [<c025ead5>] udp_sendmsg+0x404/0x4c9
 [<c0263e77>] inet_sendmsg+0x35/0x3f
 [<c021fed7>] sock_sendmsg+0xce/0xe8
 [<c012d92d>] autoremove_wake_function+0x0/0x2d
 [<c022926a>] dev_hard_start_xmit+0x19a/0x1f0
 [<c02368d6>] __qdisc_run+0x2e/0x188
 [<c0247f60>] ip_output+0x1d1/0x1fd
 [<c0220434>] sys_sendto+0x116/0x140
 [<c0226305>] memcpy_toiovec+0x27/0x4a
 [<c0226749>] skb_copy_datagram_iovec+0x53/0x1c8
 [<c012da87>] remove_wait_queue+0xf/0x34
 [<e1095534>] tun_chr_readv+0x29b/0x2a5 [tun]
 [<c02217b5>] sys_socketcall+0xeb/0x181
 [<c0102c11>] sysenter_past_esp+0x56/0x79
 =======================
Code: ea ff b2 01 86 10 8b 04 24 e9 33 06 ea ff 9c 5a fa 90 fe 08 79 1c f7 c2 00 02 00 00 74 0b fb f3 90 80 38 00 7e f9 fa eb e8
 f3 90 <80> 38 00 7f e1 eb f7 89 d0 c3 fa 90 fe 08 79 09 f3 90 80 38 00
console shuts up ...

06/17/07 00:51:47 changed by reviczky@freemail.hu

This comes up with the r2468 right a few minutes (less the 5) after the boot. This is very similar to the one from strasak@bubakov.net in the second comment.

But this is not the same freeze as with 0.9.3.1, right?

06/17/07 22:48:23 changed by dyqith

I don't think the the second comment's freeze is the same one you're getting reviczky.

I noticed the code in svn has been changed again. Can you try things with the very latest svn ? Can you also describe what type of traffic/how much you're sending to cause the panics? Also, any specific setting, parameters, etc you used?

I'm trying to duplicate the freeze. Thanks.

06/18/07 06:12:35 changed by reviczky@freemail.hu

Hi dyqith!

Thank you for your answer, i hope we can find the problem. I will try the latest svn right away and post the results afterwards.

About the settings, i don't think i have something special (i've already posted my /etc/network/interfaces settings. Do you need anything else?)

I guess there are two problems here right now, i try to exlain (from my point of view):

first problem: affects madwifi 0.9.2+r1842 0.9.3 and 0.9.3.1 i can reproduce the freeze with high traffic and got the kernel panic (first that i posted) my step to reproduce the freeze are: downloading a >500MB file from ftp or with 250-500Kbps internet streams (mostly videostreams, tv-shows). The freeze is within 1 hour after the download starts. note: i do this not on the pc with the master modes madwifi, but on the pcs that are connected to the master modes madwifi. Kernel panic is of course on the master modes madwifi pc.

second problem: affects madwifi svn (latest try was r2468) got the freeze (output is the second that i posted) right after the boot, within 5 minutes. i not must do anything, it freeze also without traffic.

And only a notice, that the problems has come - i think - with the kernel upgrade to 2.6.18 (modules are compiled for that of course).

06/18/07 06:19:32 changed by anonymous

It's hard to say how much traffic goes before the panic. Sometimes it freezed also without high traffic. And when i download large files 500-1000MB i got only 8 freeze from 10 downloads. It freeze also when i try to send files, so upload is affected as well.

06/18/07 07:02:48 changed by reviczky

Ok, here we are again.

Tried r2478, same freeze as with r2468, so no difference.

06/18/07 08:07:30 changed by strasak@bubakov.net

I think it could be the same freeze, but there has been changes in locking since 0.9.3.1 - in 0.9.3.1 spin_lock is used, later spin_lock_irq_save is used, but both crashes happen in ath_tx_start or in spinlock directly after it, so it could be caused by same factor/bug imo after all

06/18/07 08:09:13 changed by strasak@bubakov.net

or maybe in this case in 0.9.3.1 in part of code which is causing this there is no lock at all, dunno now, have to read the code

06/18/07 08:28:27 changed by dyqith

  • priority changed from minor to major.

Note to self: Looks like the problem is from ath_hardstart() -> ath_tx_start() -> ath_tx_txqaddbuf().

Problem only shows up in line 2613 of if_ath.c

ATH_TXQ_LOCK_IRQ(txq) is used on line 2548, but ath_tx_txqaddbuf does a lock too.

I wonder which patch changed the locking behavior here... Will try to find out more.

Can anyone confirm this?

06/18/07 11:11:41 changed by strasak@bubakov.net

i think you found it. In 0.9.3.1 - which is rock solid here, but crashed for the other guy - could be some other stuff, just changes exposed it so it happens on my hw too - there is unlock

ATH_TXQ_LOCK(txq);
	if (athff_can_aggregate(sc, eh, an, skb, vap->iv_fragthreshold, &ff_flush)) {

		if (an->an_tx_ffbuf[skb->priority]) { /* i.e., frame on the staging queue */
			bf = an->an_tx_ffbuf[skb->priority];

			/* get (and remove) the frame from staging queue */
			TAILQ_REMOVE(&txq->axq_stageq, bf, bf_stagelist);
			an->an_tx_ffbuf[skb->priority] = NULL;

			ATH_TXQ_UNLOCK(txq);

			/*
			 * chain skbs and add FF magic
			 *
			 * NB: the arriving skb should not be on a list (skb->list),
			 *     so "re-using" the skb next field should be OK.
			 */
			bf->bf_skb->next = skb;

but in trunk not, this is the difference which could matter in think trunk ->

	ATH_TXQ_LOCK_IRQ(txq);
	if (athff_can_aggregate(sc, eh, an, skb, vap->iv_fragthreshold, &ff_flush)) {
		if (an->an_tx_ffbuf[skb->priority]) { /* i.e., frame on the staging queue */
			bf = an->an_tx_ffbuf[skb->priority];

			/* get (and remove) the frame from staging queue */
			TAILQ_REMOVE(&txq->axq_stageq, bf, bf_stagelist);
			an->an_tx_ffbuf[skb->priority] = NULL;

			/*
			 * chain skbs and add FF magic
			 *
			 * NB: the arriving skb should not be on a list (skb->list),
			 *     so "re-using" the skb next field should be OK.
			 */
			bf->bf_skb->next = skb;
			skb->next = NULL;

but after else statemenet, there is unlock ->

ATH_HARDSTART_GET_TX_BUF_WITH_LOCK;
			if (bf == NULL) {
				ATH_TXQ_UNLOCK_IRQ_EARLY(txq);
				goto hardstart_fail;
			}
			DPRINTF(sc, ATH_DEBUG_XMIT | ATH_DEBUG_FF,
				"%s: adding to fast-frame stage Q\n", __func__);

			bf->bf_skb = skb;
			bf->bf_node = ni;
			bf->bf_queueage = txq->axq_totalqueued;
			an->an_tx_ffbuf[skb->priority] = bf;

			TAILQ_INSERT_HEAD(&txq->axq_stageq, bf, bf_stagelist);

			ATH_TXQ_UNLOCK_IRQ_EARLY(txq);

			return 0;

see ath_txq_unlock_irq_early, it should be in first code block too, if i properly remeber what is going on, am i right?

06/18/07 13:23:52 changed by strasak@bubakov.net

correction - remember should have been understood, haven't had my coffee yet ...

06/18/07 16:20:29 changed by dyqith

  • attachment ff_done.diff added.

Try to fix the ATH_TXQ_LOCK problems in ath_hardstart

06/18/07 16:21:44 changed by dyqith

  • status changed from new to assigned.
  • owner set to dyqith.

Can you guys test this patch with the latest svn?

I probably won't have time today to do test it, but hopefully it fixes some of your problems. Its an ugly patch, but the way the locking macros are written, this is the only way i can think of that will work.

06/18/07 19:43:55 changed by anonymous

I am testing it ATM, assembled two exactly same machines, both under load, both with 4 atheros and 5 wired NICs, both with 2.6.21.5 kernel + latest trunk, patched one is running for two hours already, unpatched one crashed 3x during that time, so it seems that patch helped, will report again after some more time

06/18/07 19:53:03 changed by strasak@bubakov.net

spoken too early, it just crashed

unpatched version :

Dhanab_ad_Dulfin login: BUG: NMI Watchdog detected LOCKUP on CPU0, eip c037de30, registers:
Modules linked in: wlan_scan_ap wlan_scan_sta snd_pcm_oss snd_mixer_oss nfsd exportfs ipv6 ohci_hcd rtc_cmos rtc_core rtc_lib amd64_agp agpgart shpchp pci_hotplug e1000 uhci_hcd ehci_hcd usbcore i2c_viapro snd_via82xx snd_ac97_codec ac97_bus snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd via_rhine k8temp ath_rate_sample ath_pci ath_hal(P) wlan_acl wlan eeprom w83781d hwmon_vid i2c_isa i2c_amd756 i2c_core ide_scsi
CPU:    0
EIP:    0060:[<c037de30>]    Tainted: P       VLI
EFLAGS: 00000086   (2.6.21.3-ng-ring3-s2s-sqsh-l7-swan-imq-esfq-smp-kvm-amd-dnd #3)
EIP is at _spin_lock_irqsave+0x40/0x50
eax: 00000086   ebx: f64f2480   ecx: 00000086   edx: f6d078d4
esi: 00000086   edi: 00000600   ebp: f6d10000   esp: f624bc08
ds: 007b   es: 007b   fs: 00d8  gs: 0033  ss: 0068
Process iptraf (pid: 6758, ti=f624a000 task=f7f72ab0 task.ti=f624a000)
Stack: f8b49304 f6d10000 f6d20540 00000600 00000001 00000001 f6d20540 0000000c 
       00000002 00000004 00000000 00000001 00000000 00000000 00000000 00000000 
       00000003 f6f20480 f6d078d4 f624bc80 00000000 f6d20540 00000086 00000000 
Call Trace:
 [<f8b49304>] ath_tx_start+0x9c4/0x13d0 [ath_pci]
 [<f8b41d3d>] ath_hardstart+0x87d/0xae0 [ath_pci]
 [<c01284f6>] do_gettimeofday+0x36/0x130
 [<c02f5668>] sock_def_readable+0x18/0x80
 [<c036540f>] packet_rcv+0x1ff/0x340
 [<c02fc4f2>] dev_hard_start_xmit+0x62/0xe0
 [<c030c602>] __qdisc_run+0x72/0x1b0
 [<c02fc791>] dev_queue_xmit+0x221/0x2a0
 [<f8b199b7>] ieee80211_hardstart+0x1c7/0x2f0 [wlan]
 [<c02fbf15>] dev_queue_xmit_nit+0xb5/0x100
 [<c02fc4f2>] dev_hard_start_xmit+0x62/0xe0
 [<c02fc700>] dev_queue_xmit+0x190/0x2a0
 [<c0302291>] neigh_resolve_output+0xc1/0x170
 [<c03205c2>] ip_output+0x172/0x290
 [<c02f70de>] pskb_expand_head+0xde/0x130
 [<c031eaa0>] ip_forward+0x1a0/0x2a0
 [<c031d236>] ip_rcv+0x236/0x4c0
 [<c02fce5e>] netif_receive_skb+0x2be/0x3c0
 [<f8d14ec7>] e1000_intr+0x97/0x120 [e1000]
 [<f8af2ede>] rhine_rx+0x2de/0x440 [via_rhine]
 [<c01467dc>] handle_fasteoi_irq+0x7c/0xb0
 [<f8af1364>] rhine_napipoll+0x24/0xb0 [via_rhine]
 [<c02fd116>] net_rx_action+0x96/0x1e0
 [<c012481d>] __do_softirq+0xcd/0xf0
 [<c0124891>] do_softirq+0x51/0x60
 [<c012493d>] irq_exit+0x6d/0x70
 [<c010682e>] do_IRQ+0x3e/0x80
 [<c0104b9b>] common_interrupt+0x23/0x28
 =======================
Code: c1 90 fe 0a 79 2e f7 c1 00 02 00 00 74 1d fb 66 66 66 90 66 66 66 90 90 f3 90 80 3a 00 7e f9 fa 66 66 66 90 66 66 66 90 90 eb d6 <f3> 90 80 3a 00 7f cf eb f7 89 c8 c3 8d 74 26 00 89 c2 fa 66 66 

patched one :

BUG: unable to handle kernel NULL pointer dereference at virtual address 00000040
 printing eip:
f8b36b2f
*pde = 00000000
Oops: 0002 [#1]
SMP 
Modules linked in: wlan_scan_sta wlan_scan_ap ath_rate_sample ath_pci ath_hal(P) wlan_acl wlan snd_pcm_oss snd_mixer_oss nfsd exportfs ipv6 ohci_hcd rtc_cmos rtc_core rtc_lib amd64_agp agpgart shpchp pci_hotplug e1000 uhci_hcd ehci_hcd usbcore i2c_viapro snd_via82xx snd_ac97_codec ac97_bus snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd via_rhine k8temp eeprom w83781d hwmon_vid i2c_isa i2c_amd756 i2c_core ide_scsi
CPU:    0
EIP:    0060:[<f8b36b2f>]    Tainted: P       VLI
EFLAGS: 00010203   (2.6.21.3-ng-ring3-s2s-sqsh-l7-swan-imq-esfq-smp-kvm-amd-dnd #3)
EIP is at ath_tx_start+0x16f/0x13d0 [ath_pci]
eax: 3014604a   ebx: 0000001a   ecx: 00000000   edx: 00000004
esi: 00000000   edi: 00000000   ebp: f1ab8000   esp: f1ad1b88
ds: 007b   es: 007b   fs: 00d8  gs: 0033  ss: 0068
Process iptraf (pid: 7702, ti=f1ad0000 task=f1f97a30 task.ti=f1ad0000)
Stack: 00000000 f1ad1c32 0000001a 00000000 f8b87739 f22fb900 00000000 00000002 
       00000004 00000000 00000001 00000000 00000000 00000000 00000000 00000003 
       f1ad1f44 f1ab98d4 00000286 00000000 00000000 00000000 00000000 00000001 
Call Trace:
 [<f8b87739>] ieee80211_encap+0x1b9/0xf90 [wlan]
 [<f8b2f91f>] ath_hardstart+0x45f/0xb50 [ath_pci]
 [<c02fc4f2>] dev_hard_start_xmit+0x62/0xe0
 [<c030c712>] __qdisc_run+0x182/0x1b0
 [<c0321b21>] ip_append_data+0x641/0x980
 [<c01284f6>] do_gettimeofday+0x36/0x130
 [<c0365495>] packet_rcv+0x285/0x340
 [<c02fc4f2>] dev_hard_start_xmit+0x62/0xe0
 [<c030c602>] __qdisc_run+0x72/0x1b0
 [<c02fc791>] dev_queue_xmit+0x221/0x2a0
 [<f8b869b7>] ieee80211_hardstart+0x1c7/0x2f0 [wlan]
 [<c02fbf15>] dev_queue_xmit_nit+0xb5/0x100
 [<c02fc4f2>] dev_hard_start_xmit+0x62/0xe0
 [<c02fc700>] dev_queue_xmit+0x190/0x2a0
 [<c0302291>] neigh_resolve_output+0xc1/0x170
 [<c03205c2>] ip_output+0x172/0x290
 [<c02f70de>] pskb_expand_head+0xde/0x130
 [<c031eaa0>] ip_forward+0x1a0/0x2a0
 [<c031d236>] ip_rcv+0x236/0x4c0
 [<c02fce5e>] netif_receive_skb+0x2be/0x3c0
 [<f8d14ec7>] e1000_intr+0x97/0x120 [e1000]
 [<f8af2ede>] rhine_rx+0x2de/0x440 [via_rhine]
 [<c01467dc>] handle_fasteoi_irq+0x7c/0xb0
 [<f8af1364>] rhine_napipoll+0x24/0xb0 [via_rhine]
 [<c02fd116>] net_rx_action+0x96/0x1e0
 [<c012481d>] __do_softirq+0xcd/0xf0
 [<c0124891>] do_softirq+0x51/0x60
 [<c012493d>] irq_exit+0x6d/0x70
 [<c010682e>] do_IRQ+0x3e/0x80
 [<c0104b9b>] common_interrupt+0x23/0x28
 [<c01737e9>] sys_select+0xf9/0x170
 [<c023dc1b>] copy_to_user+0x2b/0x40
 [<c01041c8>] syscall_call+0x7/0xb
 =======================
Code: 11 00 00 c7 44 24 7c ff ff ff ff 83 84 24 80 00 00 00 04 85 c9 0f 84 52 11 00 00 8b 44 24 6c 8b 8c 24 a0 00 00 00 05 00 00 00 40 <89> 41 40 8b 9c 24 9c 00 00 00 f6 83 d4 0e 00 00 01 0f 85 ea 10 
EIP: [<f8b36b2f>] ath_tx_start+0x16f/0x13d0 [ath_pci] SS:ESP 0068:f1ad1b88
Kernel panic - not syncing: Fatal exception in interrupt

btw, it is kernel 2.6.21.3 but it doesn't matter imo will test now my version of patch for this and report back

BTW, I have been the previous anonymous poster

06/18/07 20:07:26 changed by dyqith

Thanks for testing,

I'm going to check on why the patched version panic'ing. The panic's you show are different for the patch and unpatch.

The patch has a NULL pointer dereference, while the unpatch is on a spinlock locking error.

06/18/07 21:00:14 changed by dyqith

  • attachment ff_flushdone.diff added.

Better patch for making sure ATH_TXQ_LOCK plays nice.

06/18/07 21:01:21 changed by dyqith

  • patch_attached set to 1.

New patch up. Hopefully this takes care of the problem.

The other patch didn't take into account of the TX_BUF_LOCK and updating the bf...

If you can test it, and let me know how that works, that'll be great.

06/18/07 21:31:55 changed by reviczky

Hi, i will test it shortly too and post the results.

06/19/07 11:08:56 changed by reviczky

So, i'm running now r2485 with the ff_flushdone patch. Let's see how it works.

06/19/07 11:22:42 changed by strasak@bubakov.net

Here testing machine has been running since yesterday evening - about 13 hours without problem, so it seems this patch fixed the issue. Thx for your work dyqith, i think it should be commited if no one has obligations.

06/19/07 19:58:19 changed by dyqith

Okay updated svn trunk.

I noticed some other panics, but not related to this issue... will have to look at those when they come up again...

06/19/07 19:58:44 changed by dyqith

  • status changed from assigned to closed.
  • resolution set to fixed.

06/26/07 15:44:44 changed by mrenzmann

  • version set to trunk.
  • milestone set to version 0.9.4.

02/11/08 06:19:46 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.